Subject: LRO: 2 Land Rover related questions

From: George Simmons <[email-masked]>
Date: Fri, 11 May 2001 17:43:05 -0700

1...Will someone explain to me why some vehicles originally were
positive ground and now all are negative ground.  Land Rover
switched over 1969ish.

2...I have a collection of Lucas distributors.  If you hold one
in your hand some have the vacuum connection on the left (left
handed) and some have it on the right (right handed).  All my
running Rovers have left handed ones.  What do the right handed
ones fit?  Are some of the parts interchangeable and where would
I find that information?

George in Auburn